use Test::More;

use lib 'lib';
use helper;

BEGIN { use_ok( 'SugarTrail::Repo' ); }
require_ok( 'SugarTrail::Repo' );

my $repo = SugarTrail::Repo->new(root => './t/data/strepo', vcs => 'git');
ok($repo,           "repo is true");

my $stm = $repo->load_stm(stm=>'/release/rc.stm');
ok($stm,            "stm is true");

ok($stm->parse_headers(), "parse_headers() returns 6");
ok($stm->parse_headers(), "parse_headers() still returns 6");
is($stm->parse_body(), 13, "parse_body() returns 13");
is($stm->parse_body(), 13, "parse_body() still returns 13");

&helper::dmupp(stm=>$stm);

done_testing();
